Subject: Open item status

From: "Steve Klein" <[email-masked]>
Date: Thu, 23 Jun 94 12:02:13 EDT

Here is what I believe to be the status of our open items.  Let me know
if you feel otherwise.  I am also looking for any items you may want to
see on the Connect RIGlet agenda for next week's AIW.  Please let me
know ASAP so I can post an agenda by the end the day tomorrow.

Steve

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Status of Open Items:

- consensus on SDLC scenarios for general 'feel' of how SDLC will work

  I posted some scenarios yesterday for review and comments.

- impact of SDLC to DLC events

  Some people were complaining at the last AIW that the descriptions
  of the DLS Events and DLC Actions were too token ring specific.
  If someone still feels this way, please submit a proposal for more
  generic descriptions.  Otherwise, we'll have no choice but to leave
  the current wording in place.

- impact of SDLC on FSMs

  The SDLC scenarios I posted yesterday addresses the impact to FSMs.

- support for non-activation XIDs (any opposition to this?)

  We have consensus to support this.

- propagation of Routing Control Field Largest Frame bits in SSP messages

  A proposal for this was posted by Wayne Taylor on June 8.  There seemed
  to be concern in the past that this information was not being passed
  between DLSw's.  Wayne's proposal identifies some problem areas that
  need to be addressed.

- propagation of Routing Control Field Broadcast Indicators in SSP messages
  There have been no comments on this since June 9.  Is there anyone who
  still thinks that we need to do this?

- including in the CANUREACH message the frame (TEST, XID) that generated
  it

  No comments on this item since the posting of the Open Item List.
  Does the propagation of the Routing Control Field Largest Frame bits
  satisfy this requirement?

- agreement on local retries of DLC frames (absorption of retries on
  origin side with local retries on target side)

  Does anyone disagree that we absorb retries of frames on the origin
  DLSw and do the retries locally at the destination DLSw?  If not,
  we can close this item.

- obsolete ENTER_BUSY, EXIT_BUSY, TEST_CIRCUIT_REQ, TEST_CIRCUIT_RSP
  commands in SSP Message Type Table and remove them from the FSMs

  Took out ENTER_BUSY and EXIT_BUSY since the Flow Control RIGlet
  doesn't need them.  Left TEST_CIRCUIT_REQ and TEST_CIRCUIT_RSP
  in since there seemed to be some interest in using them.

- nail down when Data Link Correlators, Port IDs, and Transport IDs may
  vary during circuit setup

  I posted a proposal on June 20.  No comments yet.

- support for 15 and/or 16 byte NETBIOS names

  On June 16 I proposed that all 16 bytes were significant for searches
  across the WAN and for matching NAME_QUERYs to NAME_RECOGNIZEDs.
  Whether a DLSw cached information based on 15 bytes names, 15 byte
  names with a non-printable 16th byte, or all 16 bytes was a choice
  of the implementation.  No comments yet.

- SSP header length field

  I feel we have consensus on this since there have been no negative
  comments to the proposal of adding a SSP Header Length field in a
  common location in both existing (and all future) header types.